package com.fs.project.service;

import java.util.List;
import com.fs.project.domain.ProjectTaskType;
import com.fs.project.vo.ProjectOptionVO;
import com.fs.project.vo.QueryAllDataVO;

/**
 * 项目任务类型Service接口
 *
 * @author fs
 * @date 2025-12-30
 */
public interface IProjectTaskTypeService
{
    /**
     * 查询项目任务类型
     *
     * @param id 项目任务类型主键
     * @return 项目任务类型
     */
    public ProjectTaskType selectProjectTaskTypeById(Long id);

    /**
     * 查询项目任务类型列表
     *
     * @param projectTaskType 项目任务类型
     * @return 项目任务类型集合
     */
    public List<ProjectTaskType> selectProjectTaskTypeList(ProjectTaskType projectTaskType);

    /**
     * 新增项目任务类型
     *
     * @param projectTaskType 项目任务类型
     * @return 结果
     */
    public int insertProjectTaskType(ProjectTaskType projectTaskType);

    /**
     * 修改项目任务类型
     *
     * @param projectTaskType 项目任务类型
     * @return 结果
     */
    public int updateProjectTaskType(ProjectTaskType projectTaskType);

    /**
     * 批量删除项目任务类型
     *
     * @param ids 需要删除的项目任务类型主键集合
     * @return 结果
     */
    public int deleteProjectTaskTypeByIds(Long[] ids);

    /**
     * 删除项目任务类型信息
     *
     * @param id 项目任务类型主键
     * @return 结果
     */
    public int deleteProjectTaskTypeById(Long id);

    List<ProjectOptionVO>  selectProjectOptionsByDept(Long deptId, String projectName);

    List<ProjectTaskType> queryAllData(QueryAllDataVO projectTaskType);
}
